Subject: Re: RES: Can git change?

From: Junio C Hamano <[email-masked]>
Date: Wed, 10 Mar 2021 13:39:59 -0800

Johannes Schindelin <[email-masked]> writes:

> I guess that something like 6 months of a "deprecation period" (i.e. the
> time to keep `master` as the default) _might_ be enough, so we could
> potentially move forward with changing the default around end of May (by
> my calculation, v2.32.0 should be due around May 24th, that might be a
> good candidate to target).

You are apparently more ambitious and risk tolerant than I am.  I
was expecting it to be more towards the end of the year myself.

And we already made sure that it would be easy to interact with
projects by using the same primary branch name as the upstream
project uses when cloning; hopefully by the time we change the
built-in hardcoded fallback default, it would not have much impact
to the real life usability than it is a symbolic act.